Bug 172410 - x0vncserver fails to launch with error: Invalid argument (22)
Summary: x0vncserver fails to launch with error: Invalid argument (22)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc   
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-04 00:22 UTC by toddz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.1-29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-08 09:40:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x0vncserver - strace output (35.38 KB, text/plain)
2005-11-29 20:47 UTC, toddz
no flags Details

Description toddz 2005-11-04 00:22:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051025 Firefox/1.5

Description of problem:
Starting x0vncserver at the command line produces the following output:
Thu Nov  3 16:21:12 2005
 main:        XTest extension present - version 2.2
 main:        Listening on port 5900
 main:        select: Invalid argument (22)
~ImageCleanup called

Removing the Fedora vnc-4.1.1-10.1 rpm and installing vnc-4_1_1-1.i386.rpm from RealVNC.com solves the problem.

Version-Release number of selected component (if applicable):
 vnc-4.1.1-10.1

How reproducible:
Always

Steps to Reproduce:
1.Install the vnc-4.1.1-10.1 rpm (including vnc-server)
2.From the command line run: /usr/bin/x0vncserver
3.
  

Actual Results:  Thu Nov  3 16:21:12 2005
 main:        XTest extension present - version 2.2
 main:        Listening on port 5900
 main:        select: Invalid argument (22)
~ImageCleanup called

Expected Results:  x0vncserver starts listening on 5900 and accepting connections.

Additional info:

Comment 1 Tim Waugh 2005-11-29 18:15:02 UTC
Can you attach the output of 'strace x0vncserver'?

Comment 2 toddz 2005-11-29 20:47:20 UTC
Created attachment 121610 [details]
x0vncserver - strace output

This is the output of running:

x0vncserver &> x0vncserver.strace

Comment 3 Tim Waugh 2005-12-05 10:41:21 UTC
Please try this test package:

ftp://people.redhat.com/twaugh/tmp/172410

Does that fix the problem?


Comment 4 toddz 2005-12-07 19:24:06 UTC
Tested vnc-server-4.1.1-10.1.0.0.1.i386.rpm and it seemed to work well - Thanks!

Just for completeness, here is my full test results of client connections
tested.  Only one failure and I think that was a viewer/client issue.

Linux - VNC Viewer Free Edition 4.1.1 - Successful
Mac - Chicken of the VNC 2.0b3 - Failed to Connect; however I think this is a
client issue.
Mac - Chicken of the VNC 2.0b2 - Successful
Mac - VNCViewer - Successful
Windows RealVNC 4.1.1 - Successful
Windows UltraVNC 1.0.1 - Successful

Thanks again Tim!

Todd

Comment 5 Tim Waugh 2005-12-08 09:40:23 UTC
Reported upstream and fixed in 4.1.1-29 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.